Loading...
Loading...
The VexNode API is organized around REST. All requests and responses use JSON. Authentication is via Bearer token in the Authorization header.
https://api.vexnode.ai/v1Include your API key in the Authorization header of every request:
Authorization: Bearer vx-your-api-key| Method | Endpoint | Description |
|---|---|---|
| POST | /v1/compute | Submit a new compute job to the network |
| GET | /v1/jobs/:id | Retrieve status and results of a specific job |
| GET | /v1/usage | Get current billing period usage and cost breakdown |
| POST | /v1/inference | Run real-time inference (OpenAI-compatible chat completions endpoint) |
curl -X POST https://api.vexnode.ai/v1/compute \
-H "Authorization: Bearer vx-your-api-key" \
-H "Content-Type: application/json" \
-d '{
"model": "meta-llama/Llama-3-70B",
"gpu_type": "A100-80GB",
"input": {
"prompt": "Explain quantum computing",
"max_tokens": 512
}
}'{
"id": "job_abc123def456",
"object": "compute.job",
"status": "running",
"model": "meta-llama/Llama-3-70B",
"gpu_type": "A100-80GB",
"created_at": "2026-03-18T12:00:00Z",
"estimated_cost": 0.0032,
"output": null
}curl https://api.vexnode.ai/v1/jobs/job_abc123def456 \
-H "Authorization: Bearer vx-your-api-key"{
"id": "job_abc123def456",
"object": "compute.job",
"status": "completed",
"model": "meta-llama/Llama-3-70B",
"gpu_type": "A100-80GB",
"created_at": "2026-03-18T12:00:00Z",
"completed_at": "2026-03-18T12:00:04Z",
"duration_ms": 3842,
"cost": 0.0028,
"output": {
"text": "Quantum computing uses quantum bits (qubits)...",
"tokens_used": 487
}
}